------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-12-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(766, 537)
local Player_1 = CppScriptMgr:AddSimplePlayer(1057675, 768, 543, "GreenSnake", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddSimplePlayer(1100010, 766, 537, "WhiteSnake", 0, 0)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("You has been in the tower for a thousand years. If you don`t come out now, your mind and spirit might shatter!", 1500)
Player_1:SetAction(101)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("The time is not right. If I force my way out of the tower, it might be inappropriate!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj1", 150, 430, "WhiteSnake", 250, 655, true)
CppScriptMgr:WaitMilSec(1450)
Player_1:SetAction(190)
Player_1:Say("Today is the New Year, a time of renewal. If we miss this chance, there might not be another opportunity!", 2000)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("Don`t act impulsively!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj1", 150, 430, "WhiteSnake", 250, 655, true)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("I can`t worry about that, sister! I will rescue you from the tower!", 1500)
CppScriptMgr:WaitMilSec(320)
Player_1:SetAction(1111)
CppScriptMgr:WaitMilSec(1180)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 759, 537, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 769, 538, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("xidag_bafi", 771, 546, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(110)
Player_2:SetAction(1111)
CppScriptMgr:WaitMilSec(1390)
local Effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 779, 543, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_4 = CppScriptMgr:AddEffect("nag_bom_ass", 767, 536, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("xidag_bafi", 777, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(950)
local Effect_5 = CppScriptMgr:AddEffect("TSM_LXZF_sf", 766, 537, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("TSM_LXZF_sf", 766, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(350)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 766, 537, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("irongate_superc", 766, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(70)
Player_2:SetHide(0)
CppScriptMgr:WaitMilSec(1980)
Player_1:SetAction(180)
Player_1:Say("Sister! You`re out!", 1000)
CppScriptMgr:WaitMilSec(1030)
CppScriptMgr:NpcCallOut("We`ve caused a big disaster!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqcj1", 150, 430, "WhiteSnake", 250, 655, true)
CppScriptMgr:WaitMilSec(2050)